VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Vmon::Service::Info Class Reference
Inheritance diagram for Com::Vmware::Appliance::Vmon::Service::Info:

## Avaliable Methods
public method | get_name_key ()
public method | set_startup_type ()
public method | get_startup_type ()
public method | get_health_messages ()
public method | get_health ()
public method | get_description_key ()
public method | set_health ()
public method | set_description_key ()
public method | set_state ()
public method | set_health_messages ()
public method | new ()
public method | set_name_key ()
public method | get_state ()

## Detailed Description

The `Com::Vmware::Appliance::Vmon::Service::Info` class contains information about a service.

## Member Function Documentation

public method Com::Vmware::Appliance::Vmon::Service::Info::get_description_key | ( |  | ) |

Gets the value of 'description_key' property.

Return values

  description_key | - The current value of the field. Service description key. Can be used to lookup resource bundle String#

Code:
click to view
# Number of lines of code in get_description_key: 4
sub get_description_key {
my ($self, %args) = @_;
return $self->{'description_key'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::get_health | ( |  | ) |

Gets the value of 'health' property.

Return values

  health | - The current value of the field. Health of service. optional#

Code:
click to view
# Number of lines of code in get_health: 4
sub get_health {
my ($self, %args) = @_;
return $self->{'health'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::get_health_messages | ( |  | ) |

Gets the value of 'health_messages' property.

Return values

  health_messages | - The current value of the field. Localizable messages associated with the health of the service optional#

Code:
click to view
# Number of lines of code in get_health_messages: 4
sub get_health_messages {
my ($self, %args) = @_;
return $self->{'health_messages'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::get_name_key | ( |  | ) |

Gets the value of 'name_key' property.

Return values

  name_key | - The current value of the field. Service name key. Can be used to lookup resource bundle String#

Code:
click to view
# Number of lines of code in get_name_key: 4
sub get_name_key {
my ($self, %args) = @_;
return $self->{'name_key'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::get_startup_type | ( |  | ) |

Gets the value of 'startup_type' property.

Return values

  startup_type | - The current value of the field. Startup Type. StartupType#

Code:
click to view
# Number of lines of code in get_startup_type: 4
sub get_startup_type {
my ($self, %args) = @_;
return $self->{'startup_type'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::get_state | ( |  | ) |

Gets the value of 'state' property.

Return values

  state | - The current value of the field. Running State. State#

Code:
click to view
# Number of lines of code in get_state: 4
sub get_state {
my ($self, %args) = @_;
return $self->{'state'};
}

public method Com::Vmware::Appliance::Vmon::Service::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Vmon::Service::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 36
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'state',
'case_map' => {
'STARTED' => ['health', 'health_messages'],
'STARTING' => [],
'STOPPING' => [],
'STOPPED' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name_key} = $args{'name_key'};
$self->{description_key} = $args{'description_key'};
$self->{startup_type} = $args{'startup_type'};
$self->{state} = $args{'state'};
$self->{health} = $args{'health'};
$self->{health_messages} = $args{'health_messages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Vmon::Service::Info');
$self->set_binding_name('name' => 'com.vmware.appliance.vmon.service.info');
$self->set_binding_field('key' => 'name_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'startup_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Vmon', 'type_name' => 'Service::StartupType'));
$self->set_binding_field('key' => 'state', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Vmon', 'type_name' => 'Service::State'));
$self->set_binding_field('key' => 'health', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Vmon', 'type_name' => 'Service::Health')));
$self->set_binding_field('key' => 'health_messages', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage'))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_description_key | ( |  | ) |

Sets the given value for 'description_key' property.

Parameters

  description_key | - New value for the field. Service description key. Can be used to lookup resource bundle

Code:
click to view
# Number of lines of code in set_description_key: 5
sub set_description_key {
my ($self, %args) = @_;
$self->{'description_key'} = $args{'description_key'};
return;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_health | ( |  | ) |

Sets the given value for 'health' property.

Parameters

  health | - New value for the field. Health of service.

Code:
click to view
# Number of lines of code in set_health: 5
sub set_health {
my ($self, %args) = @_;
$self->{'health'} = $args{'health'};
return;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_health_messages | ( |  | ) |

Sets the given value for 'health_messages' property.

Parameters

  health_messages | - New value for the field. Localizable messages associated with the health of the service

Code:
click to view
# Number of lines of code in set_health_messages: 5
sub set_health_messages {
my ($self, %args) = @_;
$self->{'health_messages'} = $args{'health_messages'};
return;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_name_key | ( |  | ) |

Sets the given value for 'name_key' property.

Parameters

  name_key | - New value for the field. Service name key. Can be used to lookup resource bundle

Code:
click to view
# Number of lines of code in set_name_key: 5
sub set_name_key {
my ($self, %args) = @_;
$self->{'name_key'} = $args{'name_key'};
return;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_startup_type | ( |  | ) |

Sets the given value for 'startup_type' property.

Parameters

  startup_type | - New value for the field. Startup Type.

Code:
click to view
# Number of lines of code in set_startup_type: 5
sub set_startup_type {
my ($self, %args) = @_;
$self->{'startup_type'} = $args{'startup_type'};
return;
}

public method Com::Vmware::Appliance::Vmon::Service::Info::set_state | ( |  | ) |

Sets the given value for 'state' property.

Parameters

  state | - New value for the field. Running State.

Code:
click to view
# Number of lines of code in set_state: 5
sub set_state {
my ($self, %args) = @_;
$self->{'state'} = $args{'state'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Vmon/Service.pm